@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=Fredoka:wght@300..700&display=swap');

html {
  font-size: 0.83vw;
}

body {
  position: relative;
  width: 100%;
  overflow-x: hidden;
  min-height: 100vh;
  background: #000;
  font-family: "Fredoka", sans-serif;
  font-weight: 600;
  font-style: normal;
  color: #000;
  -webkit-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;
  word-wrap: break-word;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr;
  grid-template-columns: 1fr;
  -ms-grid-rows: 1fr;
  grid-template-rows: 1fr;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-tap-highlight-color: rgba(255,255,255,0);
}

body > *:nth-child(1) {
  -ms-grid-row: 1;
  grid-row: 1;
  -ms-grid-column: 1;
  grid-column: 1;
}

img {
  pointer-events: none;
}
.background {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.background > img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

.background-mob {
  display: none;
}

/* --- fade переходи між екранами --- */
.fade-out {
  opacity: 0;
  -webkit-transition: opacity 0.6s ease-out;
  -o-transition: opacity 0.6s ease-out;
  transition: opacity 0.6s ease-out;
}

.fade-in {
  opacity: 1;
  -webkit-transition: opacity 0.6s ease-in;
  -o-transition: opacity 0.6s ease-in;
  transition: opacity 0.6s ease-in;
}



.button {
  font-family: "Fredoka", sans-serif;
  -webkit-box-shadow: inset -6px -6px 12px 0 rgba(0, 0, 0, 0.5), inset 6px 6px 12px 0 rgba(255, 255, 255, 0.5), 0 4px 4px 0 rgba(0, 0, 0, 0.25);
          box-shadow: inset -6px -6px 12px 0 rgba(0, 0, 0, 0.5), inset 6px 6px 12px 0 rgba(255, 255, 255, 0.5), 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  background: -o-linear-gradient(top, #669896 0%, #00fff5 100%);
  background: -webkit-gradient(linear, left top, left bottom, from(#669896), to(#00fff5));
  background: linear-gradient(180deg, #669896 0%, #00fff5 100%);
  border: 3px solid #fff;
  border-radius: 64px;
  -webkit-border-radius: 100px;
          border-radius: 100px;
  font-weight: 600;
  line-height: 120%;
  font-size: 3rem;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  color: #fff;
  cursor: pointer;
  text-shadow: 0 4px 4px rgba(0, 0, 0, 0.6);
  padding: 1.45rem 3.2rem;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  transition: all 0.5s ease;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.button:hover {
  -webkit-transform: scale(1.05);
      -ms-transform: scale(1.05);
          transform: scale(1.05);
}

.begin {
  padding: 2rem 17rem;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
  -webkit-justify-content: flex-start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
      -ms-flex: 1;
          flex: 1;
}

.begin__logo {
  margin-bottom: 4rem;
  width: 36rem;
}
.begin__logo img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  pointer-events: none;
}
.begin__wrap {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  width: 39.6rem;
}

.begin__list {
  margin-bottom: 4rem;
}
.begin__list li {
  display: block;
  font-weight: 600;
  font-size: 3rem;
  letter-spacing: 0.06em;
  color: #000;
  counter-increment: step;
  padding-left: 3.5rem;
  position: relative;
  text-shadow:
  -2px -2px 0 #fff,
  2px -2px 0 #fff,
  -2px 2px 0 #fff,
  2px 2px 0 #fff,
  -2px 0px 0 #fff,
  2px 0px 0 #fff,
  0px -2px 0 #fff,
  0px 2px 0 #fff;
}
.begin__list ol {
  counter-reset: step;
  list-style: none;
}

.begin__list li::before {
  content: counter(step) '.';
  display: inline-block;
  font-weight: 700;
  font-size: 3rem;
  line-height: 1;
  letter-spacing: -0.03em;
  color: #000;
  width: 2.6rem;
  text-align: right;
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  text-shadow:
  -2px -2px 0 #fff,
  2px -2px 0 #fff,
  -2px 2px 0 #fff,
  2px 2px 0 #fff,
  -2px 0px 0 #fff,
  2px 0px 0 #fff,
  0px -2px 0 #fff,
  0px 2px 0 #fff;
}
.begin__list li + li {
  margin-top: 0.25rem;
}

.begin__background .img-mob {
  display: none;
}

.begin__image .img-mob {
  display: none;
}
.begin__image {
  position: absolute;
  right: 12.5rem;
  width: 43.75rem;
  bottom: 0;
  height: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: end;
  -webkit-align-items: flex-end;
      -ms-flex-align: end;
          align-items: flex-end;
}
.begin__image img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  pointer-events: none;
  -o-object-position: bottom;
     object-position: bottom;
}
.game.screen {
  min-height: 60rem;
}
.game__head {
  position: absolute;
  top: 1.25rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  z-index: 12;
}

.artifacts-counter {
  text-shadow:
  -2px -2px 0 #fff,
  2px -2px 0 #fff,
  -2px 2px 0 #fff,
  2px 2px 0 #fff,
  -2px 0px 0 #fff,
  2px 0px 0 #fff,
  0px -2px 0 #fff,
  0px 2px 0 #fff;
  font-weight: 600;
  font-size: 4rem;
  letter-spacing: 0.06em;
  text-align: center;
  color: rgba(0, 0, 0, 0.8);
  margin-bottom: 0.5rem;
}
.artifacts {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 0.75rem;
  background: rgba(0, 0, 0, 0.35);
  -webkit-border-radius: 32px;
          border-radius: 32px;
  padding: 0.5rem;
  border: 4px dashed #E2B432;
}
.artifacts-item {
  width: 8rem;
  height: 8rem;
  opacity: 0.4;
  -webkit-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}
.artifacts-item.select {
  opacity: 1;
}
.artifacts-item img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  pointer-events: none;
}

.game__background .img-mob {
  display: none;
}

.game__text {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  text-align: center;
  z-index: 15;
  -webkit-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}
.game__text p {
  font-weight: 600;
  font-size: 4rem;
  letter-spacing: 0.06em;
  text-align: center;
  color: rgba(0, 0, 0, 0.8);
  text-shadow:
  -3px -3px 0 #fff,
  3px -3px 0 #fff,
  -3px 3px 0 #fff,
  2px 3px 0 #fff,
  -3px 0px 0 #fff,
  3px 0px 0 #fff,
  0px -3px 0 #fff,
  0px 3px 0 #fff;
}
.game__stones-image {
  display: none;
}
.game__stone {
  position: absolute;
  cursor: inherit;
  z-index: 2;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
}
.game__stone.is-booming {
  z-index: 20;
}
.game__stone img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  pointer-events: none;
}

.game__stone .img-mob {
  display: none;
}
.game__stone .img-artifact {
  display: none;
  z-index: 1;
}
.game__stone .img-artifact.is-visible {
  display: block;
}

.game--js-cursor,
.game--js-cursor .game__stone,
.game--js-cursor .game__text {
  cursor: none;
}

.game__cursor {
  position: fixed;
  left: 0;
  top: 0;
  width: 14rem;
  height: 14rem;
  pointer-events: none;
  z-index: 30;
  opacity: 0;
  visibility: hidden;
  -webkit-transform: translate(-18px, -10px);
      -ms-transform: translate(-18px, -10px);
          transform: translate(-18px, -10px);
  -webkit-transition: opacity .15s ease;
  -o-transition: opacity .15s ease;
  transition: opacity .15s ease;
  -webkit-filter: drop-shadow(0 4px 36px  #d9ac2e);
          filter: drop-shadow(0 4px 36px  #d9ac2e);

}
.game__cursor.is-visible {
  opacity: 1;
  visibility: visible;
}
.game__cursor img {
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  -webkit-transform-origin: 72% 24%;
      -ms-transform-origin: 72% 24%;
          transform-origin: 72% 24%;
}

.game__cursor.swing-left img {
  -webkit-animation: hammer-swing-left .24s ease-out;
          animation: hammer-swing-left .24s ease-out;
}

.game__cursor.swing-right img {
  -webkit-animation: hammer-swing-right .24s ease-out;
          animation: hammer-swing-right .24s ease-out;
}

@-webkit-keyframes hammer-swing-left {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  45% {
    -webkit-transform: rotate(-50deg);
            transform: rotate(-50deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}

@keyframes hammer-swing-left {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  45% {
    -webkit-transform: rotate(-50deg);
            transform: rotate(-50deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}

@-webkit-keyframes hammer-swing-right {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  45% {
    -webkit-transform: rotate(50deg);
            transform: rotate(50deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}

@keyframes hammer-swing-right {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  45% {
    -webkit-transform: rotate(50deg);
            transform: rotate(50deg);
  }
  100% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
}

.game__boom {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  z-index: 3;
  pointer-events: none;
  -webkit-animation: boom-pop 0.5s ease-out forwards;
          animation: boom-pop 0.5s ease-out forwards;
}

@-webkit-keyframes boom-pop {
  0% {
    opacity: 0;
    -webkit-transform: scale(0.6);
            transform: scale(0.6);
  }
  20% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    -webkit-transform: scale(1.1);
            transform: scale(1.1);
  }
}

@keyframes boom-pop {
  0% {
    opacity: 0;
    -webkit-transform: scale(0.6);
            transform: scale(0.6);
  }
  20% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    -webkit-transform: scale(1.1);
            transform: scale(1.1);
  }
}

.game__stone img.hidden {
  display: none;
}
.game__stone--1 {
  width: 15.75rem;
  bottom: 35rem;
  left: 27.063rem;
}
.game__stone--2 {
  width: 17.044rem;
  bottom: 33.5rem;
  right: 41.063rem;
}
.game__stone--2 .img-artifact{
  width: 11.25rem;
  -o-object-fit: contain;
     object-fit: contain;
}
.game__stone--3 {
  width: 25.313rem;
  bottom: 24.688rem;
  left: 4.375rem;
}
.game__stone--3 .img-artifact{
  width: 16.875rem;
  -o-object-fit: contain;
     object-fit: contain;
}
.game__stone--4 {
  width: 31.219rem;
  bottom: 18rem;
  left: 33.438rem;
}
.game__stone--4 .img-artifact{
  width: 15.625rem;
  -o-object-fit: contain;
     object-fit: contain;
}
.game__stone--5 {
  width: 26.269rem;
  bottom: 21rem;
  right: 29rem;
}
.game__stone--6 {
  width: 19.857rem;
  bottom: 24rem;
  right: 6.86rem;
}
.game__stone--6 .img-artifact{
  width: 11.25rem;
  -o-object-fit: contain;
     object-fit: contain;
}
.game__stone--7 {
  width: 26.269rem;
  bottom: 2rem;
  left: 1rem;
}
.game__stone--7 .img-artifact{
  width: 16.75rem;
  -o-object-fit: contain;
     object-fit: contain;
}

.game__stone--8 {
  width: 19.519rem;
  bottom: 4rem;
  left: 29.875rem;
}
.game__stone--8 .img-artifact{
  width: 20rem;
  -o-object-fit: contain;
     object-fit: contain;
}
.game__stone--9 {
  width: 34.032rem;
  bottom: 0;
  right: 30.8rem;
}
.game__stone--10 {
  width: 25.425rem;
  bottom: 5.5rem;
  right: 2.4rem;
}
.winner {
  position: relative;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
      -ms-flex: 1;
          flex: 1;
  padding: 4rem 9.875rem 1.3rem 9.875rem;
}
.winner__background .img-mob {
  display: none;
}
.winner.winner--win .winner__text-lose, .winner.winner--win .winner__image--lose, .winner.winner--win .winner__button{
  display: none;
}
.winner.winner--lose .winner__text-win, .winner.winner--lose .winner__image--win{
  display: none;
}
.winner__text {
  margin: auto 0 auto auto;
  max-width: 41.875rem;
  width: 100%;
  background: rgba(0, 0, 0, 0.5);
  border: 4px dashed #FFBC00;
  -webkit-border-radius: 32px;
          border-radius: 32px;
  padding: 2rem;
  text-align: center;
  position: relative;
  z-index: 1;
}
.winner__text p {
  margin: 0;
  font-weight: 600;
  font-size: 2.5rem;
  letter-spacing: 0.03em;
  text-align: center;
  color: #fff;
  text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
  font-family: "Fredoka", sans-serif;
  text-shadow:
  -2px -2px 0 #000000,
  2px -2px 0 #000000,
  -2px 3px 0 #000000,
  2px 2px 0 #000000,
  -2px 0px 0 #000000,
  3px 0px 0 #000000,
  0px -2px 0 #000000,
  0px 2px 0 #000000;
}
.winner__text p + p {
  margin-top: 2rem;
}
.winner__text p span {
  color: #d6ac35;
}

.winner__image {
  width: 48rem;
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto 0;
  left: 13rem;
  z-index: 0;
}
.winner__image img {
  width: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  height: 100%;
}


.winner__wrap {
  position: relative;
  z-index: 1;
  margin-top: 0.7rem;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  text-align: center;
}
.winner__button{
  margin-top: 1rem;
}


.screen {
  -ms-grid-row: 1;
  -ms-grid-column: 1;
  grid-area: 1 / 1;
  width: 100%;
  min-height: 100vh;
  opacity: 1;
  visibility: visible;
  -webkit-transition: opacity 0.6s ease, visibility 0.6s ease;
  -o-transition: opacity 0.6s ease, visibility 0.6s ease;
  transition: opacity 0.6s ease, visibility 0.6s ease;
  position: relative;
  overflow: hidden;
  z-index: 1;
}

/****/
.hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}
.display-none {
  display: none;
}

.nevydno {
  display: none!important;
}
.vydno {
  opacity: 1!important;
  display: -webkit-box!important;
  display: -webkit-flex!important;
  display: -ms-flexbox!important;
  display: flex!important;
  visibility: visible!important;
}
